Page MenuHomePhabricator

Import the old per-year Wikimania wikis into the new Wikimania wiki, each under their namespace
Open, Needs TriagePublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 23 2018, 10:47 PM

Note the individual wikis also have other "meta" pages like user pages; we should decide where we should we import them to. Also note we have T127582: Convert LQT to Flow on wikimania2010wiki. In addition, should we delete and redirect old wikis?

I suspect there will be a lot of conflicting names, Do we really want to do this?

Note the individual wikis also have other "meta" pages like user pages; we should decide where we should we import them to.

I was planning only to import the main and talk namespaces (NS0 and NS1) as 2005: and 2005 talk: etc. respectively.

Also note we have T127582: Convert LQT to Flow on wikimania2010wiki.

Hmm, yeah, not the end of the world but a bit of a pain for importing.

In addition, should we delete and redirect old wikis?

Yeah, that's the idea. (They all already locked except for 2018.)

I suspect there will be a lot of conflicting names,

What do you mean? The whole point of namespacing is that there aren't clashes…

Personally, what are the targets that they were having user pages on the past Wikimania wikis? I don't see any reason that we should even import them, so @Bugreporter I strongly urge you to ignore them, those are dead corals.

Dcljr added a subscriber: Dcljr.Aug 27 2018, 4:56 AM

I suspect there will be a lot of conflicting names,

What do you mean? The whole point of namespacing is that there aren't clashes…

I believe what @Peachey88 is referring to is conflicting usernames.

Each year's wiki was edited by a different collection of users who (up until recently, with SUL) had to sign up for the wiki independently of all past years. These usernames will have to be reflected in the edit histories of pages that are imported, whether the actual userpages are imported or not.

So, I guess the question is: were all the Wikimania wikis part of SUL finalization or might the older Wikimania wikis still have username conflicts that will be a problem when they're all merged into one wiki?

I suspect there will be a lot of conflicting names,

What do you mean? The whole point of namespacing is that there aren't clashes…

I believe what @Peachey88 is referring to is conflicting usernames.
Each year's wiki was edited by a different collection of users who (up until recently, with SUL) had to sign up for the wiki independently of all past years. These usernames will have to be reflected in the edit histories of pages that are imported, whether the actual userpages are imported or not.

Thankfully with T179832: Handling of imported usernames this is now actually fixed. Only took us a dozen years to resolve one of the agreed original blockers to creating Commons. ;-(

Note the individual wikis also have other "meta" pages like user pages; we should decide where we should we import them to.

I was planning only to import the main and talk namespaces (NS0 and NS1) as 2005: and 2005 talk: etc. respectively.

Lets not chuck out the baby and the bathwater, We should be importing everything or nothing…

In addition, should we delete and redirect old wikis?

Yeah, that's the idea. (They all already locked except for 2018.)

If you are only importing "half" of a wiki then deleting the rest you are destroying wikimania history, lets not

I suspect there will be a lot of conflicting names,

What do you mean? The whole point of namespacing is that there aren't clashes…

Template: Project: (or wiki equivalent) User: to name a few

I believe what @Peachey88 is referring to is conflicting usernames.

Actually, I'm not

Dzahn added a subscriber: Dzahn.EditedJan 25 2019, 6:05 PM

If you are only importing "half" of a wiki then deleting the rest you are destroying wikimania history, lets not

Seconded, please don't do that. There seems no advantage in spending this work on importing existing wikis and then also lose history in the process.. vs just doing nothing and leave it as it is for historic wikis and start to use the new wiki from here on.

Stryn added a subscriber: Stryn.Jan 29 2019, 6:02 AM

I would like to have a better understanding of the likelihood of the what and when for the migration of these wikis into wikimaniawiki, so the ongoing design can be considered and look to be consulted.

Could we even do some scoping of what a migration would look like, and start to prepare for such an eventuality. I am going to do a series of suggestions based on what we have and hopefully identify the areas where there is clarity and agreement, and areas where more work required

receiving nss based on https://wikimania.wikimedia.org/w/api.php?action=query&meta=siteinfo&siprop=namespaces|namespacealiases

Billinghurst added a comment.EditedFeb 18 2019, 11:11 AM

Content pages for each wikimania 2005 -> 2018

I am presuming that we are having

wm2018: ns:0 -> wmania: ns:126
wm2017: ns:0 -> wmania: ns:124
wm2016: ns:0 -> wmania: ns:122
wm2015: ns:0 -> wmania: ns:120
wm2014: ns:0 -> wmania: ns:118
wm2013: ns:0 -> wmania: ns:116
wm2012: ns:0 -> wmania: ns:114
wm2011: ns:0 -> wmania: ns:112
wm2010: ns:0 -> wmania: ns:110
wm2009: ns:0 -> wmania: ns:108
wm2008: ns:0 -> wmania: ns:106
wm2007: ns:0 -> wmania: ns:104
wm2006: ns:0 -> wmania: ns:102
wm2005: ns:0 -> wmania: ns:100

Biggest issue that I see occurring here is the linking. They will all be set to link at main ns: level and relative links. With these pages being moved to their own namespace, the linking would be broken, so there will be the need to go and prepend and pipe trick every pagename with [[YYYY:pagename|]]

Billinghurst added a comment.EditedFeb 18 2019, 11:16 AM

Templates and modules are each going to need to be merged into the one namespace for each so that they function with imported pages.

Unique templates are not a problem. What is needed to be known is where we have duplicate templates, and as we have locked wikis up to 2017 it s not possible to resolve those problems on those wikis prior to a merge.

Is it possible to generate a list of duplicate-named templates, so this can be investigated and solutions determined?

'''User pages''' should be unique per user since the update for SUL, presuming that username overlaps where resolved for closed wikis when SUL migration occurred.

I would recommend that

user pages

  • all are imported to subpages of the user page name, and put into User:username/YYYY and meta user pages is allowed to shine through. Users can go in and create a user page if that is required for them.

user talk pages

  • Where wikimaniawiki user talk page exists, that all other user pages are imported to User talk:username/YYYY
  • where no wikimaniawiki user talk page exists, that the latest user talk page is imported as the base user talk:username page, and all others are imported to User talk:username/YYYY
  • all other user: nd user_talk: ns pages are imported and we have a report that looks for problematic pages, guessing that major issue is probably going to be sandboxes, and maybe maybe maybe some archives, but let us see what it will involve

help pages

Suggest that all help: ns pages are imported as Help:pagename/YYYY and we look to identify if we have any Help: ns pages with subpages and resolve those early.

These can be worked upon by the incoming crew to work out what

translations pages

Follow their parents

Mediawiki: ns pages

This is the one area that I would suggest that these are possibly problematic to merge, and I wonder whether they actually need to migrate, especially as with regards to Mediawiki:Sidebar terms they are redundant, or they have been migrated as needed. If they need to come in, can we stash them somewhere in Wikimania: ns as a repository with a YYYY reference.

Billinghurst added a comment.EditedFeb 18 2019, 12:01 PM

Project/Wikimania: pages

This is the area that could be most problematic, as it has the biggest overlap, though my light cruising through the wikis doesn't show a high use of the project namespaces. It would be useful to generate a report to see what exists needs to be managed. I would think that we could just move Wikimania:pagename to wikimania:pagename/YYYY and we can manipulate from there.

'''Category pages'''

Just do them as they are. There will need to be elements of remapping anyway, so may as well just dump it in, duplicates are bonus, and the rest will be managed in time.

Other bits:

  • In all cases, I think a list of migrated pages should be generated per namespace and stored on wiki in Wikimania:Migration/YYYY/Namespace
  • WD linking is not initiated at this point, though I don't see that it is going to be an issue as we have a standard implementation, with the additional content wikis. There is no existing WD configuration that would need to be amended for this migration. All uncharted!
  • I am guessing that we would update the interwiki maps to relink to wmania:YYYY:$1 respectively. Guessing that internal mapping
revi added a subscriber: revi.Thu, Jul 11, 10:08 PM